Bug 10655 - Update request: kernel-vserver-3.4.52-1.mga2
: Update request: kernel-vserver-3.4.52-1.mga2
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: All Linux
: Normal Severity: major
: ---
Assigned To: QA Team
: Sec team
:
: MGA2-64-OK MGA2-32-OK
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-06-29 16:11 CEST by Thomas Backlund
Modified: 2013-07-16 09:40 CEST (History)
2 users (show)

See Also:
Source RPM: kernel-vserver-3.4.52-1.mga2
CVE:


Attachments

Description Thomas Backlund 2013-06-29 16:11:28 CEST
Advisory:
The pciback_enable_msi function in the PCI backend driver 
(drivers/xen/pciback/conf_space_capability_msi.c) in Xen for the Linux
kernel 2.6.18 and 3.8 allows guest OS users with PCI device access to
cause a denial of service via a large number of kernel log messages.
(CVE-2013-0231 / XSA-43)

Heap-based buffer overflow in the iscsi_add_notunderstood_response function
in drivers/target/iscsi/iscsi_target_parameters.c in the iSCSI target
subsystem in the Linux kernel through 3.9.4 allows remote attackers to
cause a denial of service (memory corruption and OOPS) or possibly execute
arbitrary code via a long key that is not properly handled during
construction of an error-response packet.
A reproduction case requires patching open-iscsi to send overly large
keys. Performing discovery in a loop will Oops the remote server.
(CVE-2013-2850)

Format string vulnerability in the b43_request_firmware function in
drivers/net/wireless/b43/main.c in the Broadcom B43 wireless driver in
the Linux kernel through 3.9.4 allows local users to gain privileges by
leveraging root access and including format string specifiers in an
fwpostfix modprobe parameter, leading to improper construction of an
error message. (CVE-2013-2852)

Other fixes:
Fix up alx AR8161 breakage (mga #10079)

For other -stable fixes, read the referenced changelogs

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0231
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2850
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2852
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.46
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.47
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.48
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.49
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.50
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.51


SRPM:
kernel-vserver-3.4.51-1.mga2.src.rpm

i586:
kernel-vserver-3.4.51-1.mga2-1-1.mga2.i586.rpm
kernel-vserver-devel-3.4.51-1.mga2-1-1.mga2.i586.rpm
kernel-vserver-devel-latest-3.4.51-1.mga2.i586.rpm
kernel-vserver-doc-3.4.51-1.mga2.noarch.rpm
kernel-vserver-latest-3.4.51-1.mga2.i586.rpm
kernel-vserver-source-3.4.51-1.mga2-1-1.mga2.noarch.rpm
kernel-vserver-source-latest-3.4.51-1.mga2.noarch.rpm

x86_64:
kernel-vserver-3.4.51-1.mga2-1-1.mga2.x86_64.rpm
kernel-vserver-devel-3.4.51-1.mga2-1-1.mga2.x86_64.rpm
kernel-vserver-devel-latest-3.4.51-1.mga2.x86_64.rpm
kernel-vserver-doc-3.4.51-1.mga2.noarch.rpm
kernel-vserver-latest-3.4.51-1.mga2.x86_64.rpm
kernel-vserver-source-3.4.51-1.mga2-1-1.mga2.noarch.rpm
kernel-vserver-source-latest-3.4.51-1.mga2.noarch.rpm


Reproducible: 

Steps to Reproduce:
Comment 1 Thomas Backlund 2013-07-02 09:25:40 CEST
Taking it back as there is a few more security fixes landing
Comment 2 Thomas Backlund 2013-07-04 20:41:28 CEST
New advisory:

This kernel-vserver update provides the upstream 3.4.52 kernel and fixes
the follwing security issues:

The pciback_enable_msi function in the PCI backend driver 
(drivers/xen/pciback/conf_space_capability_msi.c) in Xen for the Linux
kernel 2.6.18 and 3.8 allows guest OS users with PCI device access to
cause a denial of service via a large number of kernel log messages.
(CVE-2013-0231 / XSA-43)

ipv6: ip6_sk_dst_check() must not assume ipv6 dst
It's possible to use AF_INET6 sockets and to connect to an IPv4
destination. After this, socket dst cache is a pointer to a rtable,
not rt6_info. This bug can be exploited by local non-root users
to trigger various corruptions/crashes (CVE-2013-2232)

af_key: fix info leaks in notify messages
key_notify_sa_flush() and key_notify_policy_flush() miss to
initialize the sadb_msg_reserved member of the broadcasted message
and thereby leak 2 bytes of heap memory to listeners (CVE-2013-2234)

af_key: initialize satype in key_notify_policy_flush()
key_notify_policy_flush() miss to nitialize the sadb_msg_satype member
of the broadcasted message and thereby leak heap memory to listeners
(CVE-2013-2237)

Heap-based buffer overflow in the iscsi_add_notunderstood_response function
in drivers/target/iscsi/iscsi_target_parameters.c in the iSCSI target
subsystem in the Linux kernel through 3.9.4 allows remote attackers to
cause a denial of service (memory corruption and OOPS) or possibly execute
arbitrary code via a long key that is not properly handled during
construction of an error-response packet.
A reproduction case requires patching open-iscsi to send overly large
keys. Performing discovery in a loop will Oops the remote server.
(CVE-2013-2850)

Format string vulnerability in the b43_request_firmware function in
drivers/net/wireless/b43/main.c in the Broadcom B43 wireless driver in
the Linux kernel through 3.9.4 allows local users to gain privileges by
leveraging root access and including format string specifiers in an
fwpostfix modprobe parameter, leading to improper construction of an
error message. (CVE-2013-2852)

Other fixes:
Fix up alx AR8161 breakage (mga #10079)

For other -stable fixes, read the referenced changelogs

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0231
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2232
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2234
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2237
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2850
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2852
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.46
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.47
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.48
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.49
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.50
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.51
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.52
Comment 3 Thomas Backlund 2013-07-04 20:42:57 CEST
SRPM:
kernel-vserver-3.4.52-1.mga2.src.rpm

i586:
kernel-vserver-3.4.52-1.mga2-1-1.mga2.i586.rpm
kernel-vserver-devel-3.4.52-1.mga2-1-1.mga2.i586.rpm
kernel-vserver-devel-latest-3.4.52-1.mga2.i586.rpm
kernel-vserver-doc-3.4.52-1.mga2.noarch.rpm
kernel-vserver-latest-3.4.52-1.mga2.i586.rpm
kernel-vserver-source-3.4.52-1.mga2-1-1.mga2.noarch.rpm
kernel-vserver-source-latest-3.4.52-1.mga2.noarch.rpm

x86_64:
kernel-vserver-3.4.52-1.mga2-1-1.mga2.x86_64.rpm
kernel-vserver-devel-3.4.52-1.mga2-1-1.mga2.x86_64.rpm
kernel-vserver-devel-latest-3.4.52-1.mga2.x86_64.rpm
kernel-vserver-doc-3.4.52-1.mga2.noarch.rpm
kernel-vserver-latest-3.4.52-1.mga2.x86_64.rpm
kernel-vserver-source-3.4.52-1.mga2-1-1.mga2.noarch.rpm
kernel-vserver-source-latest-3.4.52-1.mga2.noarch.rpm
Comment 4 Dave Hodgins 2013-07-15 21:13:16 CEST
Testing complete. Validating the update.

Could someone from the sysadmin team push 10655.adv
Comment 5 Thomas Backlund 2013-07-16 09:40:22 CEST
Update pushed:
http://advisories.mageia.org/MGASA-2013-0212.html

Note You need to log in before you can comment on or make changes to this bug.